# org.apache.ignite.binary

## Interfaces

- BinaryCollectionFactory
- BinaryField
- BinaryIdMapper
- Binarylizable
- BinaryMapFactory
- BinaryObject
- BinaryObjectBuilder
- BinaryRawReader
- BinaryRawWriter
- BinaryReader
- BinarySerializer
- BinaryType
- BinaryWriter

## Classes

- BinaryReflectiveSerializer
- BinaryTypeConfiguration

## Exceptions

- BinaryInvalidTypeException
- BinaryObjectException